Bug 741405 (CVE-2011-3757) - CVE-2011-3757 moodle: installation path disclosure via a direct request to a .php file
Summary: CVE-2011-3757 moodle: installation path disclosure via a direct request to a ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2011-3757
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20110130,reported=2...
Depends On: 741409 741410
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 18:13 UTC by Vincent Danen
Modified: 2019-06-08 18:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-09 13:45:22 UTC


Attachments (Terms of Use)

Description Vincent Danen 2011-09-26 18:13:33 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-3757 to
the following vulnerability:

Name: CVE-2011-3757
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3757
Assigned: 20110923
Reference: http://www.openwall.com/lists/oss-security/2011/06/27/6
Reference: http://code.google.com/p/inspathx/source/browse/trunk/paths_vuln/%21_README
Reference: http://code.google.com/p/inspathx/source/browse/trunk/paths_vuln/moodle-2.0.1

Moodle 2.0.1 allows remote attackers to obtain sensitive information
via a direct request to a .php file, which reveals the installation
path in an error message, as demonstrated by
webservice/xmlrpc/locallib.php and certain other files.

Comment 1 Vincent Danen 2011-09-26 18:15:28 UTC
Created moodle tracking bugs for this issue

Affects: fedora-all [bug 741409]
Affects: epel-all [bug 741410]

Comment 2 Gwyn Ciesla 2011-09-27 00:45:40 UTC
All our branches that have moodle >= 2.0.x are 2.0.3 or greater, does this affect those, or the 1.9.x or 1.8.x branches?

Comment 3 Vincent Danen 2011-09-27 04:38:41 UTC
AFAIK, this probably affects 2.0.3.  I do not know about 1.9.x or 1.8.x but I would assume they are affected as well.  I have not had time to dig into the code directly to find out for sure.

Comment 4 Gwyn Ciesla 2012-05-09 13:45:22 UTC
Fixed as of 10/21/2011.


Note You need to log in before you can comment on or make changes to this bug.